Package org.opensaml.saml.metadata.generator.impl

# Interface MetadataGenerator

All Known Implementing Classes:
  `VelocityMetadataGenerator`

public interface MetadataGenerator
Interface to a component that generates SAML metadata.

TODO: this will eventually migrate into the API.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`void`
`generate(MetadataGeneratorParameters params, Writer sink)`
Generate metadata using the supplied parameters into the supplied destination.

## Method Details

### generate

void generate(@Nonnull MetadataGeneratorParameters params, @Nonnull Writer sink) throws IOException
Generate metadata using the supplied parameters into the supplied destination.

The writer must be open and will not be closed by this method.

Parameters:
  `params` - input parameters
  `sink` - destination for output
Throws:
  `IOException` - on error